Journeys
Create journey
Creates initially safe visual automation.
POST
/journeysjourneys:writeRequest
namestring · bodyJourney name.mandatorydescriptionstring · bodyObjective of the journey.optionaltriggerstring · bodyInitial trigger.mandatoryblocksarray · bodyFlow blocks.optionalchannelsarray · bodyAllowed channels.optionalsegment_idstring · bodyEligible segment.optionalactiveboolean · bodyActivate the journey.optionalExample
curl
curl -X POST 'https://achadu.com/api/v1/journeys' \
+ -H 'Authorization: Bearer ach_live_...' \
+ -H 'Accept: application/json' \
+ -H 'Content-Type: application/json' \
+ --data '{
"name": "My integration",
"trigger": "string",
"description": "string",
"blocks": [],
"channels": [
"instagram"
]
}'Answer
201Resource created4xxError with code, message and request_id